Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1199738 - Review Request: nodejs-doctrine - A JSDoc parser
Summary: Review Request: nodejs-doctrine - A JSDoc parser
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1199737
Blocks: nodejs-reviews
TreeView+ depends on / blocked
 
Reported: 2015-03-07 17:43 UTC by Gerard Ryan
Modified: 2015-05-01 21:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-01 21:13:22 UTC
piotr1212: fedora-review+


Attachments (Terms of Use)

Description Gerard Ryan 2015-03-07 17:43:13 UTC
Spec URL: https://galileo.fedorapeople.org/fpe-rpm-review/nodejs-doctrine.spec
SRPM URL: https://galileo.fedorapeople.org/fpe-rpm-review/nodejs-doctrine-0.6.4-1.fc23.src.rpm
Description: A JSDoc parser
Fedora Account System Username: galileo

Comment 1 Piotr Popieluch 2015-04-03 21:30:27 UTC
APPROVED





Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE.BSD in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (2 clause)", "Unknown or generated". 2 files have unknown license.
     Detailed output of licensecheck in /home/piotr/rpmbuild/1199738-nodejs-
     doctrine/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-doctrine-0.6.4-1.fc23.noarch.rpm
          nodejs-doctrine-0.6.4-1.fc23.src.rpm
nodejs-doctrine.noarch: W: only-non-binary-in-usr-lib
nodejs-doctrine.noarch: W: dangling-symlink /usr/lib/node_modules/doctrine/node_modules/esutils /usr/lib/node_modules/esutils
nodejs-doctrine.noarch: W: dangling-symlink /usr/lib/node_modules/doctrine/node_modules/isarray /usr/lib/node_modules/isarray
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
nodejs-doctrine (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(esutils)
    npm(isarray)



Provides
--------
nodejs-doctrine:
    nodejs-doctrine
    npm(doctrine)



Source checksums
----------------
http://registry.npmjs.org/doctrine/-/doctrine-0.6.4.tgz :
  CHECKSUM(SHA256) this package     : 02b2e05a7c61ae3d5251a9f3a40310194306d5ce4ca7dd71632002b79caeba44
  CHECKSUM(SHA256) upstream package : 02b2e05a7c61ae3d5251a9f3a40310194306d5ce4ca7dd71632002b79caeba44


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1199738
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Gerard Ryan 2015-04-03 23:17:23 UTC
Thanks for the review Piotr! I won't have a chance to look at any of your reviews until at least next weekend, but I'll try to find some time then!

I've submitted the SCM request for this package using the new mechanism in pkgdb.

Comment 3 Gerard Ryan 2015-05-01 21:13:22 UTC
I finally got around to building this. I forgot about it because there wasn't a notification here. Built for Rawhide now, so closing. Thanks.


Note You need to log in before you can comment on or make changes to this bug.